Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class LdapServices

    java.lang.Object
      org.jasig.portal.LdapServices

Deprecated. As of uPortal 2.4, use `LdapServices`.

    public class LdapServices

extends java.lang.Object

Legacy placeholder class. As of uPortal 2.4 all work should now be done with `LdapServices`.

Version:
  $Revision: 1.16 $
Author:
  Eric Dalquist edalquist@unicon.net
See Also:
  `LdapServices`

Constructor Summary
`LdapServices()` Deprecated. As of uPortal 2.4, use `LdapServices` instead.

Method Summary
`java.lang.String` | `getBaseDN()` Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getBaseDN()`.
`javax.naming.directory.DirContext` | `getConnection()` Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getConnection()`.
`java.lang.String` | `getUidAttribute()` Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getUidAttribute()`.
`void` | `releaseConnection(javax.naming.directory.DirContext conn)` Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.releaseConnection(DirContext)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapServices

    public LdapServices()

  Deprecated. As of uPortal 2.4, use `LdapServices` instead.

  Creates a new `LdapServices` object. Simply wraps an the `ILdapServer` returned by `LdapServices.getDefaultLdapServer()`. `LdapServices` objects should not be created. No reference to the `ILdapServer` is held in an instance of `LdapServices`

Method Detail

### getConnection

    public javax.naming.directory.DirContext getConnection()
                                                    throws javax.naming.NamingException

  Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getConnection()`.

  Simply wraps an the `ILdapServer` returned by `LdapServices.getDefaultLdapServer()`.

  Throws:
    `javax.naming.NamingException`
  See Also:
    `ILdapServer.getConnection()`

### getBaseDN

    public java.lang.String getBaseDN()

  Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getBaseDN()`.

  Simply wraps an the `ILdapServer` returned by `LdapServices.getDefaultLdapServer()`.

  See Also:
    `ILdapServer.getBaseDN()`

### getUidAttribute

    public java.lang.String getUidAttribute()

  Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.getUidAttribute()`.

  Simply wraps an the `ILdapServer` returned by `LdapServices.getDefaultLdapServer()`.

  See Also:
    `ILdapServer.getUidAttribute()`

### releaseConnection

    public void releaseConnection(javax.naming.directory.DirContext conn)

  Deprecated. As of uPortal 2.4, use `LdapServices.getDefaultLdapServer()` and `ILdapServer.releaseConnection(DirContext)`.

  Simply wraps an the `ILdapServer` returned by `LdapServices.getDefaultLdapServer()`.

  See Also:
    `ILdapServer.releaseConnection(DirContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD